Bug 1566045 - debootstrap fails with an error about missing perl or compiled component
Summary: debootstrap fails with an error about missing perl or compiled component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: debootstrap
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 12:16 UTC by Neal Gompa
Modified: 2018-05-20 19:32 UTC (History)
3 users (show)

Fixed In Version: debootstrap-1.0.97-1.fc28 debootstrap-1.0.97-1.fc26 debootstrap-1.0.97-1.fc27 debootstrap-1.0.97-1.el7 debootstrap-1.0.97-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 15:25:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2018-04-11 12:16:35 UTC
Description of problem:

When using debootstrap on a fresh Fedora 27 system, debootstrap throws the following error:

debootstrap: stderr: (no output on stderr), stdout: E: No pkgdetails available; either install perl, or build pkgdetails.c from the base-installer source package

Version-Release number of selected component (if applicable):
1.0.93-3.fc27

How reproducible:
Always

Steps to Reproduce:
1. Fresh install of Fedora 27
2. Install debootstrap
3. Use it to bootstrap Ubuntu 16.04 rootfs

Actual results:
debootstrap: stderr: (no output on stderr), stdout: E: No pkgdetails available; either install perl, or build pkgdetails.c from the base-installer source package


Expected results:
built ubuntu 16.04 tree

Additional info:

Comment 1 Neal Gompa 2018-04-11 12:17:32 UTC
After installing perl-interpreter, debootstrap worked.

Comment 2 Fedora Update System 2018-04-22 02:48:40 UTC
debootstrap-1.0.97-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4790a70bbd

Comment 3 Fedora Update System 2018-04-22 02:49:18 UTC
debootstrap-1.0.97-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cb9f768aff

Comment 4 Fedora Update System 2018-04-22 02:49:47 UTC
debootstrap-1.0.97-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-56a123e087

Comment 5 Fedora Update System 2018-04-22 02:50:13 UTC
debootstrap-1.0.97-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b84aef9c47

Comment 6 Fedora Update System 2018-04-22 02:50:47 UTC
debootstrap-1.0.97-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1422aef722

Comment 7 Fedora Update System 2018-04-23 22:51:45 UTC
debootstrap-1.0.97-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4790a70bbd

Comment 8 Fedora Update System 2018-04-24 04:46:00 UTC
debootstrap-1.0.97-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b84aef9c47

Comment 9 Fedora Update System 2018-04-24 05:03:22 UTC
debootstrap-1.0.97-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-56a123e087

Comment 10 Fedora Update System 2018-04-24 05:37:43 UTC
debootstrap-1.0.97-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cb9f768aff

Comment 11 Fedora Update System 2018-04-24 07:51:53 UTC
debootstrap-1.0.97-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1422aef722

Comment 12 Fedora Update System 2018-05-03 15:25:24 UTC
debootstrap-1.0.97-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-05-05 21:23:48 UTC
debootstrap-1.0.97-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-05-05 22:26:01 UTC
debootstrap-1.0.97-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-05-11 01:32:31 UTC
debootstrap-1.0.97-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-05-20 19:32:33 UTC
debootstrap-1.0.97-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.